<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>RepositoryCardComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/repository/repository-card.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
                <code><a href="https://angular.io/api/core/OnDestroy" target="_blank" >OnDestroy</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>repository-card</code></td>
            </tr>




            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./repository-card.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_readOnly">_readOnly</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#_subscriptions">_subscriptions</a>
                            </li>
                            <li>
                                <a href="#completed">completed</a>
                            </li>
                            <li>
                                <a href="#inError">inError</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#getI18nCount">getI18nCount</a>
                            </li>
                            <li>
                                <a href="#ngOnDestroy">ngOnDestroy</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#files">files</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#readOnly">readOnly</a>
                                </li>
                                <li>
                                    <a href="#votationRepositoryCount">votationRepositoryCount</a>
                                </li>
                                <li>
                                    <a href="#electionRepositoryCount">electionRepositoryCount</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(readOnlyService: <a href="../injectables/ReadOnlyService.html">ReadOnlyService</a>, translateService: TranslateService, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:16</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>readOnlyService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/ReadOnlyService.html" target="_self" >ReadOnlyService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="files"></a>
                        <code>files</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/RepositoryFile.html" target="_self" >RepositoryFile[]</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="13" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:13</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getI18nCount"></a>
                        <span class="name">
                            <b>
                            getI18nCount
                            </b>
                            <a href="#getI18nCount"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getI18nCount(forVotation: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:56</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>forVotation</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnDestroy"></a>
                        <span class="name">
                            <b>
                            ngOnDestroy
                            </b>
                            <a href="#ngOnDestroy"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnDestroy()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:41</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_readOnly"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _readOnly
                            </b>
                            <a href="#_readOnly"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_readOnly:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="_subscriptions"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            _subscriptions
                            </b>
                            <a href="#_subscriptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span><code>_subscriptions:     <code>Subscription[]</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Subscription[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:16</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="completed"></a>
                        <span class="name">
                            <b>
                            completed
                            </b>
                            <a href="#completed"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>completed:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:14</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inError"></a>
                        <span class="name">
                            <b>
                            inError
                            </b>
                            <a href="#inError"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>inError:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="15" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:15</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="readOnly"></a>
                        <span class="name"><b>readOnly</b><a href="#readOnly"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>readOnly()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:25</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="votationRepositoryCount"></a>
                        <span class="name"><b>votationRepositoryCount</b><a href="#votationRepositoryCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>votationRepositoryCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:29</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="electionRepositoryCount"></a>
                        <span class="name"><b>electionRepositoryCount</b><a href="#electionRepositoryCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>electionRepositoryCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/operation/parameters/repository/repository-card.component.ts:33</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input, OnDestroy, OnInit } from &#x27;@angular/core&#x27;;
import { RepositoryFile } from &#x27;./model/repository-file&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { Subscription } from &#x27;rxjs/Subscription&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { ReadOnlyService } from &#x27;../../service/read-only.service&#x27;;

@Component({
  selector: &#x27;repository-card&#x27;,
  templateUrl: &#x27;./repository-card.component.html&#x27;
})
export class RepositoryCardComponent implements OnInit, OnDestroy {
  @Input() files: RepositoryFile[];
  completed &#x3D; false;
  inError &#x3D; false;
  private _subscriptions: Subscription[] &#x3D; [];

  constructor(private readOnlyService: ReadOnlyService,
              private translateService: TranslateService,
              private operationManagementService: OperationManagementService) {
  }

  private _readOnly: boolean;

  get readOnly() {
    return this._readOnly;
  }

  get votationRepositoryCount(): string {
    return this.getI18nCount(true);
  }

  get electionRepositoryCount(): string {
    return this.getI18nCount(false);
  }

  ngOnDestroy(): void {
    this._subscriptions.forEach(s &#x3D;&gt; s.unsubscribe());
  }

  ngOnInit() {
    this._subscriptions.push(
      this.operationManagementService.status.subscribe(status &#x3D;&gt; {
        this.completed &#x3D; status.configurationStatus.completedSections[&quot;repository&quot;];
        this.inError &#x3D; status.configurationStatus.sectionsInError[&quot;repository&quot;];
      }),
      this.readOnlyService.isRepositoryInReadOnly()
        .subscribe(
          readOnly &#x3D;&gt; {
            this._readOnly &#x3D; readOnly;
          }
        ),
    )
  }

  getI18nCount(forVotation: boolean) {
    let count &#x3D; 0;
    if (this.files) {
      count &#x3D; this.files.filter(f &#x3D;&gt; forVotation &#x3D;&#x3D; (f.type &#x3D;&#x3D; &quot;VOTATION_REPOSITORY&quot;)).length;
    }

    if (count &#x3D;&#x3D;&#x3D; 0) {
      return this.translateService.instant(&#x27;parameters.repository.card.no-repository&#x27;);
    }
    if (count &#x3D;&#x3D;&#x3D; 1) {
      return this.translateService.instant(&#x27;parameters.repository.card.1-repository&#x27;);
    }
    return this.translateService.instant(&#x27;parameters.repository.card.n-repository&#x27;,
      {count: this.files.length});
  }


}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;completable-card title&#x3D;&quot;{{&#x27;parameters.repository.card.title&#x27; | translate}}&quot;
                  subtitle&#x3D;&quot;{{&#x27;parameters.repository.card.subtitle&#x27; | translate}}&quot;
                  required&#x3D;true
                  [readOnly]&#x3D;&quot;readOnly&quot;
                  [completed]&#x3D;&quot;completed&quot;
                  [inError]&#x3D;&quot;inError&quot;
                  [editSection]&#x3D;&quot;[&#x27;edit&#x27;, &#x27;repository&#x27;]&quot;&gt;
  &lt;div fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;2rem&quot;&gt;
    &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
      &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&#x27;parameters.repository.card.votation&#x27; | translate}}&lt;/span&gt;
      &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{votationRepositoryCount}}&lt;/span&gt;
    &lt;/div&gt;
    &lt;div fxLayout&#x3D;&quot;column&quot;&gt;
      &lt;span class&#x3D;&quot;readonly-label&quot;&gt;{{&#x27;parameters.repository.card.election&#x27; | translate}}&lt;/span&gt;
      &lt;span class&#x3D;&quot;readonly-value&quot;&gt;{{electionRepositoryCount}}&lt;/span&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/completable-card&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><completable-card title="{{\'parameters.repository.card.title\' | translate}}"                  subtitle="{{\'parameters.repository.card.subtitle\' | translate}}"                  required=true                  [readOnly]="readOnly"                  [completed]="completed"                  [inError]="inError"                  [editSection]="[\'edit\', \'repository\']">  <div fxLayout="column" fxLayoutGap="2rem">    <div fxLayout="column">      <span class="readonly-label">{{\'parameters.repository.card.votation\' | translate}}</span>      <span class="readonly-value">{{votationRepositoryCount}}</span>    </div>    <div fxLayout="column">      <span class="readonly-label">{{\'parameters.repository.card.election\' | translate}}</span>      <span class="readonly-value">{{electionRepositoryCount}}</span>    </div>  </div></completable-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'RepositoryCardComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'RepositoryCardComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
